import * as _nuxt_schema from '@nuxt/schema';
import { HowlOptions } from 'howler';

interface ModuleOptions {
    /**
     * A directory to scan for sounds.
     *
     * @default 'public/sounds'
     */
    scan: string | boolean;
    /**
     * An object of sounds to register.
     *
     * The key will be used as an identifier for the sound to use as shortcut for `useSound(id)`.
     *
     * If you enable directory scanning mode, this array will be merged with what gets scanned.
     */
    sounds: Record<string, HowlOptions>;
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions, ModuleOptions, false>;

interface ModulePublicRuntimeConfig {
}
interface ModulePrivateRuntimeConfig {
}
declare module '@nuxt/schema' {
    interface ConfigSchema {
        publicRuntimeConfig?: {
            motion: ModulePublicRuntimeConfig;
        };
        privateRuntimeConfig?: {
            motion: ModulePrivateRuntimeConfig;
        };
    }
}

export { _default as default };
